Package net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl

# Class ValueMapParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl.ValueMapParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class ValueMapParser extends AbstractCustomBeanDefinitionParser
Bean definition parser for a `ValueMap`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`RETURN_VALUE_ELEMENT_NAME_RESOLVER`
return Value element name.
`static final QName`
`TYPE_NAME_RESOLVER`
Schema type name - resolver: .

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`ValueMapParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected Class<ValueMap>`
`getBeanClass(Element element)`
`protected boolean`
`shouldGenerateId()`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME_RESOLVER

@Nonnull public static final QName TYPE_NAME_RESOLVER
Schema type name - resolver: .

### RETURN_VALUE_ELEMENT_NAME_RESOLVER

@Nonnull public static final QName RETURN_VALUE_ELEMENT_NAME_RESOLVER
return Value element name.

### log

@Nonnull private org.slf4j.Logger log
Class logger.

## Constructor Details

### ValueMapParser

public ValueMapParser()

## Method Details

### getBeanClass

@Nullable protected Class<ValueMap> getBeanClass(@Nullable Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractSingleBeanDefinitionParser`

### shouldGenerateId

protected boolean shouldGenerateId()

Overrides:
  `shouldGenerateId` in class `AbstractBeanDefinitionParser`